> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Mettre à jour le groupe

> Mettre à jour un groupe d’authentification de compte

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.fr.json PATCH /v1/public/accounts/{account_id}/auth/groups/{group_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/groups/{group_id}:
    patch:
      tags:
        - public-accounts
        - public-account-auth
      summary: Mettre à jour un groupe d’authentification de compte
      description: Met à jour un groupe lié au compte du chemin.
      operationId: >-
        update_public_account_auth_group_v1_public_accounts__account_id__auth_groups__group_id__patch
      parameters:
        - in: path
          name: group_id
          required: true
          schema:
            title: Group Id
            type: string
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GroupUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - PublicBearerAuth: []
components:
  schemas:
    GroupUpdateRequest:
      description: >-
        Schéma de demande pour mettre à jour un groupe d’authentification
        existant.
      properties:
        attributes:
          anyOf:
            - additionalProperties:
                anyOf:
                  - items:
                      type: string
                    type: array
                  - type: string
              type: object
            - type: 'null'
          title: attributs
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        name:
          anyOf:
            - maxLength: 255
              minLength: 1
              type: string
            - type: 'null'
          title: nom
      title: GroupUpdateRequest
      type: object
    GroupResponse:
      properties:
        account_id:
          format: uuid
          title: compte ID
          type: string
        attributes:
          additionalProperties:
            items:
              type: string
            type: array
          title: attributs
          type: object
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        id:
          title: ID
          type: string
        keycloak_account_id:
          anyOf:
            - format: uuid
              type: string
            - type: 'null'
          title: Keycloak compte ID
        keycloak_name:
          title: Keycloak nom
          type: string
        linked_scopes:
          items:
            $ref: '#/components/schemas/GroupScopeLinkResponse'
          title: liés périmètres
          type: array
        name:
          title: nom
          type: string
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: parent ID
        path:
          anyOf:
            - type: string
            - type: 'null'
          title: chemin
        permission_context:
          $ref: '#/components/schemas/PermissionInspectabilitySnapshot'
        subgroup_ids:
          items:
            type: string
          title: sous-groupe ID
          type: array
      required:
        - id
        - account_id
        - name
        - keycloak_name
      title: GroupResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Détail
          type: array
      title: HTTPValidationError
      type: object
    GroupScopeLinkResponse:
      description: Schéma d'une étendue de ressource liée à un groupe.
      properties:
        resource_id:
          format: uuid
          title: ressource ID
          type: string
        resource_type:
          title: ressource type
          type: string
      required:
        - resource_type
        - resource_id
      title: GroupScopeLinkResponse
      type: object
    PermissionInspectabilitySnapshot:
      description: >-
        Instantané d’inspectabilité partagé pour la gestion des utilisateurs,
        des groupes et des invitations.
      properties:
        assigned_bundle_keys:
          items:
            type: string
          title: Clés de bundle attribuées
          type: array
        direct_capability_keys:
          items:
            type: string
          title: Direct capacité Keys
          type: array
        owner_assignments:
          items:
            $ref: '#/components/schemas/OwnerAssignmentSnapshot'
          title: propriétaire attributions
          type: array
        resolved_capability_keys:
          items:
            type: string
          title: résolu capacité Keys
          type: array
        status:
          default: active
          title: Statut
          type: string
        subject_id:
          default: ''
          title: sujet ID
          type: string
        subject_type:
          default: unknown
          title: sujet type
          type: string
      title: PermissionInspectabilitySnapshot
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Emplacement
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Type d erreur
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    OwnerAssignmentSnapshot:
      description: Schéma indiquant une relation de propriétaire de compte.
      properties:
        account_id:
          format: uuid
          title: compte ID
          type: string
      required:
        - account_id
      title: OwnerAssignmentSnapshot
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````